
/*
 * PROGRAM:
 *   Command-line pastebin
 *
 * AUTHOR:
 *   Théophile BASTIAN (a.k.a. Tobast)
 *
 * CONTACT & WEBSITE:
 *   http://tobast.fr/ (contact feature included)
 *   error-report@tobast.fr (error reporting only)
 *
 * SHORT DESCRIPTION:
 *   See first license line.
 *
 * LICENSE:
 *   "Command-line pastebin" is a software designed to submit a "paste" on http://pastebin.com/ using a command-line tool
 *   Copyright (C) 2011  Théophile BASTIAN
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see http://www.gnu.org/licenses/gpl.txt.
*/

#ifndef DEF_DATA_SYNTAXLIST
#define DEF_DATA_SYNTAXLIST

#define SYNTAX_LIST "    4cs = 4CS\n"\
"    6502acme = 6502 ACME Cross Assembler\n"\
"    6502kickass = 6502 Kick Assembler\n"\
"    6502tasm = 6502 TASM/64TASS\n"\
"    abap = ABAP\n"\
"    actionscript = ActionScript\n"\
"    actionscript3 = ActionScript 3\n"\
"    ada = Ada\n"\
"    algol68 = ALGOL 68\n"\
"    apache = Apache Log\n"\
"    applescript = AppleScript\n"\
"    apt_sources = APT Sources\n"\
"    asm = ASM (NASM)\n"\
"    asp = ASP\n"\
"    autoconf = autoconf\n"\
"    autohotkey = Autohotkey\n"\
"    autoit = AutoIt\n"\
"    avisynth = Avisynth\n"\
"    awk = Awk\n"\
"    bascomavr = BASCOM AVR\n"\
"    bash = Bash\n"\
"    basic4gl = Basic4GL\n"\
"    bibtex = BibTeX\n"\
"    blitzbasic = Blitz Basic\n"\
"    bnf = BNF\n"\
"    boo = BOO\n"\
"    bf = BrainFuck\n"\
"    c = C\n"\
"    c_mac = C for Macs\n"\
"    cil = C Intermediate Language\n"\
"    csharp = C#\n"\
"    cpp = C++\n"\
"    cpp-qt = C++ (with QT extensions)\n"\
"    c_loadrunner = C: Loadrunner\n"\
"    caddcl = CAD DCL\n"\
"    cadlisp = CAD Lisp\n"\
"    cfdg = CFDG\n"\
"    chaiscript = ChaiScript\n"\
"    clojure = Clojure\n"\
"    klonec = Clone C\n"\
"    klonecpp = Clone C++\n"\
"    cmake = CMake\n"\
"    cobol = COBOL\n"\
"    coffeescript = CoffeeScript\n"\
"    cfm = ColdFusion\n"\
"    css = CSS\n"\
"    cuesheet = Cuesheet\n"\
"    d = D\n"\
"    dcs = DCS\n"\
"    delphi = Delphi\n"\
"    oxygene = Delphi Prism (Oxygene)\n"\
"    diff = Diff\n"\
"    div = DIV\n"\
"    dos = DOS\n"\
"    dot = DOT\n"\
"    e = E\n"\
"    ecmascript = ECMAScript\n"\
"    eiffel = Eiffel\n"\
"    email = Email\n"\
"    epc = EPC\n"\
"    erlang = Erlang\n"\
"    fsharp = F#\n"\
"    falcon = Falcon\n"\
"    fo = FO Language\n"\
"    f1 = Formula One\n"\
"    fortran = Fortran\n"\
"    freebasic = FreeBasic\n"\
"    freeswitch = FreeSWITCH\n"\
"    gambas = GAMBAS\n"\
"    gml = Game Maker\n"\
"    gdb = GDB\n"\
"    genero = Genero\n"\
"    genie = Genie\n"\
"    gettext = GetText\n"\
"    go = Go\n"\
"    groovy = Groovy\n"\
"    gwbasic = GwBasic\n"\
"    haskell = Haskell\n"\
"    hicest = HicEst\n"\
"    hq9plus = HQ9 Plus\n"\
"    html4strict = HTML\n"\
"    html5 = HTML 5\n"\
"    icon = Icon\n"\
"    idl = IDL\n"\
"    ini = INI file\n"\
"    inno = Inno Script\n"\
"    intercal = INTERCAL\n"\
"    io = IO\n"\
"    j = J\n"\
"    java = Java\n"\
"    java5 = Java 5\n"\
"    javascript = JavaScript\n"\
"    jquery = jQuery\n"\
"    kixtart = KiXtart\n"\
"    latex = Latex\n"\
"    lb = Liberty BASIC\n"\
"    lsl2 = Linden Scripting\n"\
"    lisp = Lisp\n"\
"    llvm = LLVM\n"\
"    locobasic = Loco Basic\n"\
"    logtalk = Logtalk\n"\
"    lolcode = LOL Code\n"\
"    lotusformulas = Lotus Formulas\n"\
"    lotusscript = Lotus Script\n"\
"    lscript = LScript\n"\
"    lua = Lua\n"\
"    m68k = M68000 Assembler\n"\
"    magiksf = MagikSF\n"\
"    make = Make\n"\
"    mapbasic = MapBasic\n"\
"    matlab = MatLab\n"\
"    mirc = mIRC\n"\
"    mmix = MIX Assembler\n"\
"    modula2 = Modula 2\n"\
"    modula3 = Modula 3\n"\
"    68000devpac = Motorola 68000 HiSoft Dev\n"\
"    mpasm = MPASM\n"\
"    mxml = MXML\n"\
"    mysql = MySQL\n"\
"    newlisp = newLISP\n"\
"    text = None\n"\
"    nsis = NullSoft Installer\n"\
"    oberon2 = Oberon 2\n"\
"    objeck = Objeck Programming Langua\n"\
"    objc = Objective C\n"\
"    ocaml-brief = OCalm Brief\n"\
"    ocaml = OCaml\n"\
"    pf = OpenBSD PACKET FILTER\n"\
"    glsl = OpenGL Shading\n"\
"    oobas = Openoffice BASIC\n"\
"    oracle11 = Oracle 11\n"\
"    oracle8 = Oracle 8\n"\
"    oz = Oz\n"\
"    pascal = Pascal\n"\
"    pawn = PAWN\n"\
"    pcre = PCRE\n"\
"    per = Per\n"\
"    perl = Perl\n"\
"    perl6 = Perl 6\n"\
"    php = PHP\n"\
"    php-brief = PHP Brief\n"\
"    pic16 = Pic 16\n"\
"    pike = Pike\n"\
"    pixelbender = Pixel Bender\n"\
"    plsql = PL/SQL\n"\
"    postgresql = PostgreSQL\n"\
"    povray = POV-Ray\n"\
"    powershell = Power Shell\n"\
"    powerbuilder = PowerBuilder\n"\
"    proftpd = ProFTPd\n"\
"    progress = Progress\n"\
"    prolog = Prolog\n"\
"    properties = Properties\n"\
"    providex = ProvideX\n"\
"    purebasic = PureBasic\n"\
"    pycon = PyCon\n"\
"    python = Python\n"\
"    q = q/kdb+\n"\
"    qbasic = QBasic\n"\
"    rsplus = R\n"\
"    rails = Rails\n"\
"    rebol = REBOL\n"\
"    reg = REG\n"\
"    robots = Robots\n"\
"    rpmspec = RPM Spec\n"\
"    ruby = Ruby\n"\
"    gnuplot = Ruby Gnuplot\n"\
"    sas = SAS\n"\
"    scala = Scala\n"\
"    scheme = Scheme\n"\
"    scilab = Scilab\n"\
"    sdlbasic = SdlBasic\n"\
"    smalltalk = Smalltalk\n"\
"    smarty = Smarty\n"\
"    sql = SQL\n"\
"    systemverilog = SystemVerilog\n"\
"    tsql = T-SQL\n"\
"    tcl = TCL\n"\
"    teraterm = Tera Term\n"\
"    thinbasic = thinBasic\n"\
"    typoscript = TypoScript\n"\
"    unicon = Unicon\n"\
"    uscript = UnrealScript\n"\
"    vala = Vala\n"\
"    vbnet = VB.NET\n"\
"    verilog = VeriLog\n"\
"    vhdl = VHDL\n"\
"    vim = VIM\n"\
"    visualprolog = Visual Pro Log\n"\
"    vb = VisualBasic\n"\
"    visualfoxpro = VisualFoxPro\n"\
"    whitespace = WhiteSpace\n"\
"    whois = WHOIS\n"\
"    winbatch = Winbatch\n"\
"    xbasic = XBasic\n"\
"    xml = XML\n"\
"    xorg_conf = Xorg Config\n"\
"    xpp = XPP\n"\
"    yaml = YAML\n"\
"    z80 = Z80 Assembler\n"\
"    zxbasic = ZXBasic"

#endif//DEF_DATA_SYNTAXLIST

