.TH PASTEBINCL 1 "25 December 2011"

.SH NAME
\fBPastebinCL\fP - Pastebin Commnd-Line, posts a "paste" on \fIhttp://pastebin.com/\fP

.SH SYNOPSIS
\fI\fIpastebincl\fP\fP [options]

.SH DESCRIPTION
\fIPastebinCL\fP is a program which sends a "paste" at http://pastebin.com/ using a command-line interface.

.SS USAGE

When you run \fIpastebincl\fP, it will wait for user entry until you press \fIctrl+D\fP.
Then, it will send the text on pastebin with the given options.

.SS POST AS A REGISTERED USER

To post as a registered user, you must generate a file containing your username and password.
To do so, run "\fIpastebincl --usergen\fP".

.SH OPTIONS
The possible arguments are:

.TP
\fB-v\fP, \fB--version\fP
Prints the program version and basic informatons, and then returns.

.TP
\fB-h\fP, \fB-?\fP, \fB--help\fP
Prints a short help, and then returns.

.TP
\fB--licence\fP
Prints the program licence, and then returns.

.TP
\fB--usergen\fP
Generates an "users" file for the software with the informations given afterwards.

.TP
\fB-n\fP \fI[name]\fP, \fP--name\fP=\fI[name]\fP
Defines \fI[name]\fP as the paste name.

.TP
\fB-s\fP \fI[syntax]\fP, \fB--syntax\fP=\fI[syntax]\fP
Defines \fI[syntax]\fP as the syntax highlighting pattern of your text, eg. "c" or "lolcode" (see the full list on http://pastebin.com/).
To display the complete list, run "\fIpastebincl --syntaxlist\fP".

.TP
\fB--syntaxlist\fP
Displays the complete list of "\fIsyntax\fP" parameters (see "-s").

.TP
\fB-e\fP \fI[expire_time]\fP, \fB--expire\fP \fI[expire_time]\fP
Defines \fI[expire_time]\fP as the time before the paste expires. Possible values : N = Never ; 10M = 10 Minutes ; 1H = 1 Hour ; 1D = 1 Day ; 1M = 1 Month.

.TP
\fB-p\fP, \fB--private\fP
Posts a private past instead of a public one. A private paste won't be displayed in the latest pastes, neither indexed by search engines.

.TP
\fB-g\fP, \fB--guest\fP
Posts the paste as a guest. It's the default option if no configuration file was set.

.SH FILES
.TP
~/.\fIpastebinclrc\fP
The file generated by --usergen. It is encrypted with a built-in key generated during compilation, and contains username and password for your pastebin account.

.SH EXAMPLES
.TP
To post a paste without options:
$ \fIpastebincl\fP
(type your text, then ctrl+D)

.TP
To post without options a file named "foo.txt":
$ cat foo.txt | \fIpastebincl\fP

.TP
To post a paste named "foo", in C language, privately, which expires in 10 minutes:
$ \fIpastebincl\fP -n foo -s c -e 10M -p
(type your text, then ctrl+D)

.SH AUTHOR
Both \fIpastebincl\fP and this manpage were written by Theophile BASTIAN (aka. Tobast) <contact@tobast.fr>.

.SH LICENCE
Pastebincl is under GNU GPL licence, as published by the Free Software Fundation on version 3.

.SH REPORTING BUGS
Please report every bug you encounter to <error-report@tobast.fr>.

